<##
 # EXCAL-ARIGHTS - utilities function
 # 
 # @version     1.0.0
 # @since       08-25-2022
 # 
 # @author      Jérémi Nihart <contact@endmove.eu>
 # @copyright   © 2022 EndMove, All rights reserved.
 # 
 # @link        https://git.endmove.eu/EndMove/excal-arights
 #>

# Show a question dialog (yes/no)
Function DialogAsk {
    param (
        [string]$Title,
        [string]$Message
    )
    $MsgBoxInput = [System.Windows.MessageBox]::Show($Message, $Title, 'YesNo', 'Question')
    if ($MsgBoxInput -eq 'Yes') {Return $true} else {Return $false}
}

# Show an information dialog
Function DialogSay {
    param (
        [string]$Title,
        [string]$Message
    )
    [System.Windows.MessageBox]::Show($Message, $Title, 'OK', 'Information')
}